Compatibility

Transcend Elite App Download

*Android version 4.0 or later.

*The product is not supported on Windows phones.
  • ICONIA A1-810
  • Tablet Iconia B1-A71
  • Iconia A210
  • Iconia A3-A10
  • Iconia A700
  • Transformer Book T100TA
  • MeMO Pad ME172V
  • PadFone 2
  • New Transformer Pad TF701T
  • Padfone Bundle A86
  • Memopad 10 ME102A
  • MeMO Pad ME301 T
  • Pad ME302T
  • PadFone Infinity
  • Fonepad 7 ME372CG
  • MeMO Pad ME301T
  • ZenFone4
  • VivoPad TF600T
  • VivoPad TF600T